Activity log for bug #1674437

Date Who What changed Old value New value Message
2017-03-20 17:34:29 Jan Idzikowski bug added bug
2017-03-20 17:34:56 Jan Idzikowski description sbcl under ms-windows: :if-exists nil with open should return nil if file exists, anso common lisp: "No file or stream is created; instead, nil is returned to indicate failure." but sbcl under windows throw error: error opening #P"k:/work/myfile.txt": Die Datei ist vorhanden. [Condition of type SB-INT:SIMPLE-FILE-ERROR] Restarts: 0: [RETRY] Retry SLIME REPL evaluation request. 1: [*ABORT] Return to SLIME's top level. 2: [ABORT] abort thread (#<THREAD "repl-thread" RUNNING {267C8E51}>) Backtrace: 0: ((FLET SB-IMPL::VANILLA-OPEN-ERROR :IN OPEN)) 1: ((LAMBDA ())) 2: (SB-INT:SIMPLE-EVAL-IN-LEXENV (WITH-OPEN-FILE (S "k:/work/myfile.txt" :DIRECTION :OUTPUT :IF-DOES-NOT-EXIST :CREATE ...) (FORCE-OUTPUT S) (WRITE-STRING STR S)) #<NULL-LEXENV>) 3: (EVAL (WITH-OPEN-FILE (S "k:/work/myfile.txt" :DIRECTION :OUTPUT :IF-DOES-NOT-EXIST :CREATE ...) (FORCE-OUTPUT S) (WRITE-STRING STR S))) --more-- Test: (with-open-file (s "k:/work/myfile.txt" :direction :output :if-does-not-exist :create :if-exists nil :external-format :utf-8)) sbcl: 1.3.12 MS Windows 7 Professional sbcl under ms-windows: :if-exists nil with open should return nil if file exists, ansi common lisp: "No file or stream is created; instead, nil is returned to indicate failure." but sbcl under windows throw error: error opening #P"k:/work/myfile.txt": Die Datei ist vorhanden.    [Condition of type SB-INT:SIMPLE-FILE-ERROR] Restarts:  0: [RETRY] Retry SLIME REPL evaluation request.  1: [*ABORT] Return to SLIME's top level.  2: [ABORT] abort thread (#<THREAD "repl-thread" RUNNING {267C8E51}>) Backtrace:   0: ((FLET SB-IMPL::VANILLA-OPEN-ERROR :IN OPEN))   1: ((LAMBDA ()))   2: (SB-INT:SIMPLE-EVAL-IN-LEXENV (WITH-OPEN-FILE (S "k:/work/myfile.txt" :DIRECTION :OUTPUT :IF-DOES-NOT-EXIST :CREATE ...) (FORCE-OUTPUT S) (WRITE-STRING STR S)) #<NULL-LEXENV>)   3: (EVAL (WITH-OPEN-FILE (S "k:/work/myfile.txt" :DIRECTION :OUTPUT :IF-DOES-NOT-EXIST :CREATE ...) (FORCE-OUTPUT S) (WRITE-STRING STR S)))  --more-- Test: (with-open-file (s "k:/work/myfile.txt"                        :direction :output                        :if-does-not-exist :create                        :if-exists nil                        :external-format :utf-8)) sbcl: 1.3.12 MS Windows 7 Professional
2017-03-21 13:54:28 Stas Boukarev sbcl: status New Fix Committed
2017-03-27 15:09:24 Christophe Rhodes sbcl: status Fix Committed Fix Released